# Set

## Class Set

- java.lang.Object
- - Set

    public abstract class Set
    extends java.lang.Object

Schnittstelle des ADTs Set

Version:
  26.9.2020
Author:
  Rainer Helfrich

### Constructor Summary

Constructors
`Set()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract int[]` `alsArray()`
`abstract int` `anzahl()` Gibt die Mächtigkeit der Menge zurück
`abstract Set` `differenz​(Set s)` Bestimmt die Differenzmenge der Menge selbst und der Menge s.
`abstract void` `einfuegen​(int wert)` Fügt einen neuen Wert in die Menge ein, falls er nicht bereits enthalten ist.
`abstract void` `entfernen​(int wert)` Entfernt einen Wert aus der Menge, falls er enthalten ist.
`abstract boolean` `enthaelt​(int wert)` Gibt zurück, ob ein bestimmter Wert in der Menge enthalten ist.
`boolean` `gleich​(Set s)` Gibt zurück, ob diese Menge und s die gleichen Elemente enthalten
`abstract boolean` `istLeer()` Gibt zurück, ob die Menge kein Element enthält
`abstract Set` `schnittmenge​(Set s)` Bestimmt die Schnittmenge der Menge selbst und der Menge s.
`java.lang.String` `toString()` Gibt die String-Darstellung der Menge (aufzählende Darstellung) zurück
`abstract boolean` `untermenge​(Set s)` Gibt zurück, ob diese Menge eine Untermenge der Menge s ist.
`abstract Set` `vereinigungsmenge​(Set s)` Bestimmt die Vereinigungsmenge der Menge selbst und der Menge s.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Set

    public Set()

### Method Detail

#### einfuegen

    public abstract void einfuegen​(int wert)

Fügt einen neuen Wert in die Menge ein, falls er nicht bereits enthalten ist.

Parameters:
  `wert` - Der einzufügende Wert

#### entfernen

    public abstract void entfernen​(int wert)

Entfernt einen Wert aus der Menge, falls er enthalten ist.

Parameters:
  `wert` - Der zu entfernende Wert

#### enthaelt

    public abstract boolean enthaelt​(int wert)

Gibt zurück, ob ein bestimmter Wert in der Menge enthalten ist.

Parameters:
  `wert` - Der zu suchende Wert

#### schnittmenge

    public abstract Set schnittmenge​(Set s)

Bestimmt die Schnittmenge der Menge selbst und der Menge s.

Parameters:
  `s` - Die Menge, mit der die Schnittmenge bestimmt werden soll
Returns:
  Eine neue Set, die die Schnittmenge der beiden Mengen repräsentiert.

#### vereinigungsmenge

    public abstract Set vereinigungsmenge​(Set s)

Bestimmt die Vereinigungsmenge der Menge selbst und der Menge s.

Parameters:
  `s` - Die Menge, mit der die Vereinigungsmenge bestimmt werden soll
Returns:
  Eine neue Set, die die Vereinigungsmenge der beiden Mengen repräsentiert.

#### untermenge

    public abstract boolean untermenge​(Set s)

Gibt zurück, ob diese Menge eine Untermenge der Menge s ist.

Parameters:
  `s` - Die Menge, die geprüft werden soll.
Returns:
  true, wenn jedes Element dieser Menge in s enthalten ist; false sonst

#### differenz

    public abstract Set differenz​(Set s)

Bestimmt die Differenzmenge der Menge selbst und der Menge s.

Parameters:
  `s` - Die Menge, die von dieser Menge abgezogen werden soll.
Returns:
  Eine neue Set, die alle Elemente dieser Menge enthält, die nicht in s enthalten sind.

#### anzahl

    public abstract int anzahl()

Gibt die Mächtigkeit der Menge zurück

Returns:
  Die Anzahl der Elemente in der Menge

#### istLeer

    public abstract boolean istLeer()

Gibt zurück, ob die Menge kein Element enthält

Returns:
  true, wenn die Menge leer ist; false sonst

#### alsArray

    protected abstract int[] alsArray()

#### gleich

    public boolean gleich​(Set s)

Gibt zurück, ob diese Menge und s die gleichen Elemente enthalten

Parameters:
  `s` - Die zu überprüfende Menge
Returns:
  true, wenn beide Mengen die gleichen Elemente enthalten; false sonst

#### toString

    public java.lang.String toString()

Gibt die String-Darstellung der Menge (aufzählende Darstellung) zurück

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  Ein String, der alle Elemente der Menge aufzählt.